Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_StructuredEvent Class Reference

`#include <Notify_Event.h>`

Inheritance diagram for TAO_Notify_StructuredEvent:

[legend]
Collaboration diagram for TAO_Notify_StructuredEvent:

[legend]
List of all members.

## Public Methods
| TAO_Notify_StructuredEvent (CosNotification::StructuredEvent *notification)
| TAO_Notify_StructuredEvent (const CosNotification::StructuredEvent *notification)
virtual | ~TAO_Notify_StructuredEvent ()
virtual TAO_Notify_Event * | clone (void)
void | operator= (const TAO_Notify_StructuredEvent &structured_event)
virtual CORBA::Boolean | is_special_event_type (void) const
virtual const TAO_Notify_EventType & | event_type (void) const
virtual CORBA::Boolean | do_match (CosNotifyFilter::Filter_ptr filter ACE_ENV_ARG_DECL)
virtual void | do_push (CosEventComm::PushConsumer_ptr consumer ACE_ENV_ARG_DECL) const
virtual void | do_push (CosNotifyComm::StructuredPushConsumer_ptr consumer ACE_ENV_ARG_DECL) const
virtual void | do_push (CosNotifyComm::SequencePushConsumer_ptr consumer, const TAO_Notify_QoSAdmin_i &qos_admin, CosNotification::EventBatch &unsent, int flush_queue ACE_ENV_ARG_DECL) const
## Protected Methods
void | init_QoS (void)
## Protected Attributes
CosNotification::StructuredEvent * | data_
TAO_Notify_EventType | event_type_
CORBA::Boolean | is_owner_

## Constructor & Destructor Documentation

TAO_Notify_StructuredEvent::TAO_Notify_StructuredEvent | ( | CosNotification::StructuredEvent * | notification | ) |

TAO_Notify_StructuredEvent::TAO_Notify_StructuredEvent | ( | const CosNotification::StructuredEvent * | notification | ) |

TAO_Notify_StructuredEvent::~TAO_Notify_StructuredEvent | ( |  | ) | `[virtual]`

## Member Function Documentation

TAO_Notify_Event * TAO_Notify_StructuredEvent::clone | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Notify_Event.

CORBA::Boolean TAO_Notify_StructuredEvent::do_match | ( | CosNotifyFilter::Filter_ptr filter | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Reimplemented from TAO_Notify_Event.

void TAO_Notify_StructuredEvent::do_push | ( | CosNotifyComm::SequencePushConsumer_ptr | consumer,
|  | const TAO_Notify_QoSAdmin_i & | qos_admin,
|  | CosNotification::EventBatch & | unsent,
|  | int | ACE_ENV_ARG_DECL
| ) | const`[virtual]`

| Reimplemented from TAO_Notify_Event.

void TAO_Notify_StructuredEvent::do_push | ( | CosNotifyComm::StructuredPushConsumer_ptr consumer | ACE_ENV_ARG_DECL | ) | const`[virtual]`

| Reimplemented from TAO_Notify_Event.

void TAO_Notify_StructuredEvent::do_push | ( | CosEventComm::PushConsumer_ptr consumer | ACE_ENV_ARG_DECL | ) | const`[virtual]`

| Reimplemented from TAO_Notify_Event.

const TAO_Notify_EventType & TAO_Notify_StructuredEvent::event_type | ( | void |  | ) | const`[virtual]`

| Reimplemented from TAO_Notify_Event.

void TAO_Notify_StructuredEvent::init_QoS | ( | void |  | ) | `[protected]`

CORBA::Boolean TAO_Notify_StructuredEvent::is_special_event_type | ( | void |  | ) | const`[virtual]`

| Reimplemented from TAO_Notify_Event.

void TAO_Notify_StructuredEvent::operator= | ( | const TAO_Notify_StructuredEvent & | structured_event | ) |

## Member Data Documentation

CosNotification::StructuredEvent* TAO_Notify_StructuredEvent::data_`[protected]`

TAO_Notify_EventType TAO_Notify_StructuredEvent::event_type_`[protected]`

CORBA::Boolean TAO_Notify_StructuredEvent::is_owner_`[protected]`

The documentation for this class was generated from the following files:

- Notify_Event.h
- Notify_Event.cpp